Skip to main content
POST
Create a gateway token

Authorizations

Authorization
string
header
required

Human personal access token (sk-actrl-pat-...).

Headers

Idempotency-Key
string

Stable key for safely retrying this write. Reuse the same key only with the same request body; results are retained for 24 hours and conflicting reuse returns 409.

Path Parameters

id
string
required

Body

application/json
name
string
required

Token name.

scopes
enum<string>[]
Available options:
run,
read_logs,
manage
expiresInDays
integer | null
Required range: x >= 1
principal
object
allowedModels
string[]
spendLimit
number | null
Required range: x >= 0
spendWindow
enum<string>
Available options:
daily,
weekly,
monthly
rateLimitPerMin
integer | null
Required range: x >= 1

Response

Gateway token created.

ok
enum<boolean>
required
Available options:
true
data
object
required